Bug 134426 - "/dev/mixer"s access permission is strange.
"/dev/mixer"s access permission is strange.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-02 06:00 EDT by sangu
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 04:28:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2004-10-02 06:00:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040930
Firefox/0.10

Description of problem:
login with id "sangu".

ls -al /dev/mixer
crw-------  1 sangu root 14, 0 Oct  2 19:02 /dev/mixer

but, after logout, the other user login.
Access permission is no changed.

this is right?
crw-rw----  1 root root 14, 2 2004-10-02 10:13 /dev/mixer

Version-Release number of selected component (if applicable):
udev-0.32-6.

How reproducible:
Always

Steps to Reproduce:
1.ls -al /dev/mixer
crw-------  1 sangu root 14, 0 Oct  2 19:02 /dev/mixer

2.
3.
    

Actual Results:  
crw-rw----  1 root root 14, 2 2004-10-02 10:13 /dev/mixer

Additional info:

initscripts-7.85-1. 
SELinux is disabled. 
kernel-2.6.8-1.590
Comment 1 sangu 2004-10-02 09:48:18 EDT
1. booting with init 3

2. login with id "sangu"
ls -al /dev/mixer
crw-------  1 sangu root 14, 0 Oct  2 19:02 /dev/mixer

3. alt + f2 login with id "iamaboy"
ls -al /dev/mixer
crw-------  1 sangu root 14, 0 Oct  2 19:02 /dev/mixer

4. logout "sangu", and access permission of /dev/mixer changes in tty 2
ls -al /dev/mixer
crw-------  1 root root 14, 0 Oct  2 19:02 /dev/mixer
Comment 2 Colin Walters 2004-10-03 14:48:03 EDT
You need to log back in as iamaboy in order to have the permissions
changed at the moment.
Comment 3 sangu 2004-10-03 22:41:58 EDT
cat /etc/udev/permissions.d/50-udev.permissions | grep mixer
mixer*:root:root:0660
Comment 4 Harald Hoyer 2004-10-04 04:28:37 EDT
this is normal and pam_console...
see /etc/security/console.perms

Note You need to log in before you can comment on or make changes to this bug.